if sample==nil then sample={} end
sample.ut={}

-----------------------
-- INITIAL SETUP     --
-----------------------
function initArray(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end
sample.ut.timer=initArray(32)				
sample.ut.level=initArray(32)				
sample.ut.fblood=0							

addhook("startround","sample.ut.startround")
function sample.ut.startround()
	parse("sv_sound \"tr_fun/hayydihadi.ogg\"")
	sample.ut.fblood=0
end


addhook("kill","sample.ut.kill")
function sample.ut.kill(killer,victim,weapon)
	if (os.clock()-sample.ut.timer[killer])>2 then
		sample.ut.level[killer]=0;
	end
	level=sample.ut.level[killer]
	level=level+1
	sample.ut.level[killer]=level
	sample.ut.timer[killer]=os.clock()
	if (sample.ut.fblood==0) then
		sample.ut.fblood=1
		parse("sv_sound \"tr_fun/nefesnefese.ogg\"");
		msg (player(killer,"name").." ilk kani "..player(victim,"name").."dan doktu!")
	end
	-- HUMILIATION? (KNIFEKILL)
	if (weapon==50) then
		-- HUMILIATION!
		parse("sv_sound \"tr_fun/seribicakci.ogg\""); 
		msg (player(killer,"name").." "..player(victim,"name").."yi bicakladi!")
	else
		-- REGULAR KILL
		if (level==1) then
			-- 1: Single Kill! Nothing Special!
		elseif (level==2) then
			-- 2: Doublekill
			parse("sv_sound \"tr_fun/ikikisi.ogg\"");
			msg (player(killer,"name").." iki kisi oldurdu!")
		elseif (level==3) then
			-- 3: Multikill
			parse("sv_sound \"tr_fun/uckisi.ogg\"")
			msg (player(killer,"name").." uc kisi oldurdu!")
		elseif (level==4) then
			-- 4: Ultrakill
			parse("sv_sound \"tr_fun/deliciatis.ogg\"")
			msg (player(killer,"name").." Delici Atis Yapti!")
		elseif (level==5) then
			-- 5: Monsterkill
			parse("sv_sound \"tr_fun/serikatil.ogg\"")
			msg (player(killer,"name").." bir Seri Katil!")
		else
			-- >5: Unstoppable
			parse("sv_sound \"tr_fun/toplukatliam.ogg\"")
			msg (player(killer,"name").." Toplu Katliam Yapti! "..level.." Olu var")
		end
	end
end


addhook("endround", "end_of_round")

function ctwin()
parse("sv_sound \"tr_fun/mavitakimkazandi.ogg\" ")
end

function twin()

parse("sv_sound \"tr_fun/kirmizitakimkazandi.ogg\" ")
end

function end_of_round(mode)
     if mode==1 then --Regular T win
          twin()
     elseif mode==2 then --Regular CT win
          ctwin()
     elseif mode==60 then --All humans infested; Zombies win
          twin()
     elseif mode==61 then --Humans survived; Humans win
          ctwin()
     end
end
